ros-humble-ros-gzgarden-bridge (0.244.11-1001jammy) jammy; urgency=high

  * Add actuator_msgs to humble bridge. (#394 <https://github.com/gazebosim/ros_gz/issues/394>)
  * Contributors: Benjamin Perseghetti

 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.10-1001jammy) jammy; urgency=high

  * Fix warning message (#371 <https://github.com/gazebosim/ros_gz/issues/371>)
  * Introduce WrenchStamped into bridge (#327 <https://github.com/gazebosim/ros_gz/issues/327>)
  * Humbly bringing the Joy to gazebo. (#353 <https://github.com/gazebosim/ros_gz/issues/353>)
  * Make the bridge aware of both gz and ignition msgs (#349 <https://github.com/gazebosim/ros_gz/issues/349>)
  * Contributors: Benjamin Perseghetti, El Jawad Alaa, Michael Carroll, livanov93

 -- Louise Poubel <louise@openrobotics.org>  Wed, 03 May 2023 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.9-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Nov 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.8-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Oct 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.7-1001jammy) jammy; urgency=high

  * Make sure that ign_* yaml configs work as well (#310 <https://github.com/gazebosim/ros_gz/issues/310>)
  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)
    * bridge float_v and float32_multi_array msg type
    Co-authored-by: Ian Chen <mailto:ichen@openrobotics.org>
  * Bridge between msgs::Pose_V and geometry_msgs/PoseArray msg types (#305 <https://github.com/gazebosim/ros_gz/issues/305>)
  * replace ign with gz in ros_gz_bridge README (#303 <https://github.com/gazebosim/ros_gz/issues/303>)
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Fix merge
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Ian Chen, Michael Carroll, Olivier Kermorgant

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Oct 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.6-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Sep 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.5-1001jammy) jammy; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Add missing GZ_VERSION ticktocks (#289 <https://github.com/gazebosim/ros_gz/issues/289>)
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.3-1001jammy) jammy; urgency=high

  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Adds pose and twist with covariance messages bridging (#222 <https://github.com/gazebosim/ros_gz/issues/222>)
    * Added pose, twist and odometry with covariance messages bridging
  * Contributors: Aditya Pande, Daisuke Nishimatsu, Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 19 May 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.2-1001jammy) jammy; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Added reminder to hit play to receive images. (#237 <https://github.com/gazebosim/ros_gz/issues/237>)
  * Updated ign topic commnds on README (#221 <https://github.com/gazebosim/ros_gz/issues/221>)
  * Add conversions for ros_gz_interfaces/WorldControl and builtin_interfaces/Time (#216 <https://github.com/gazebosim/ros_gz/issues/216>)
  * [ros_gz_interfaces] Add GuiCamera, StringVec, TrackVisual, VideoRecord (#214 <https://github.com/gazebosim/ros_gz/issues/214>)
  * Break apart ros_subscriber test translation unit (#212 <https://github.com/gazebosim/ros_gz/issues/212>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * Add missing dependency on rclcpp (#209 <https://github.com/gazebosim/ros_gz/issues/209>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Aditya Pande, Ivan Santiago Paunovic, Joep Tool, Louise Poubel, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Mon, 25 Apr 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.1-1001jammy) jammy; urgency=high

  * Improve modularity of ign/ros publisher tests (#194 <https://github.com/gazebosim/ros_gz/issues/194>)
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.244.0-1001jammy) jammy; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * New Light Message, also bridge Color (#187 <https://github.com/gazebosim/ros_gz/issues/187>)
  * Statically link each translation unit (#193 <https://github.com/gazebosim/ros_gz/issues/193>)
  * Break apart convert and factories translation unit (#192 <https://github.com/gazebosim/ros_gz/issues/192>)
  * Fixed ROS subscriber test in ros_gz_bridge (#189 <https://github.com/gazebosim/ros_gz/issues/189>)
  * Enable QoS overrides (#181 <https://github.com/gazebosim/ros_gz/issues/181>)
  * Fixed ros ign bridge documentation (#178 <https://github.com/gazebosim/ros_gz/issues/178>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/gazebosim/ros_gz/issues/175>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy, Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.233.2-1001jammy) jammy; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.233.1-1001jammy) jammy; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/gazebosim/ros_gz/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * Update documentation for installation instructions and bridge examples (#142 <https://github.com/gazebosim/ros_gz/issues/142>)
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
  * Add JointTrajectory message conversion (#121 <https://github.com/gazebosim/ros_gz/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/gazebosim/ros_gz/issues/117>)
    Addresses issue #116 <https://github.com/gazebosim/ros_gz/issues/116>
  * Updated prereq & branch name (#113 <https://github.com/gazebosim/ros_gz/issues/113>)
  * Update releases (#108 <https://github.com/gazebosim/ros_gz/issues/108>)
  * Updated README.md (#104 <https://github.com/gazebosim/ros_gz/issues/104>)
  * Add support for Dome (#103 <https://github.com/gazebosim/ros_gz/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.221.1-1001jammy) jammy; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/gazebosim/ros_gz/issues/102>)
  * Port ros_gz_bridge tests to ROS 2 (#98 <https://github.com/gazebosim/ros_gz/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/gazebosim/ros_gz/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.221.0-1001jammy) jammy; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/gazebosim/ros_gz/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/gazebosim/ros_gz/issues/95>)
  * Integer support (#91 <https://github.com/gazebosim/ros_gz/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/gazebosim/ros_gz/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/gazebosim/ros_gz/issues/65>)
  * Update Dashing docs (#62 <https://github.com/gazebosim/ros_gz/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/gazebosim/ros_gz/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/gazebosim/ros_gz/issues/58>)
    Port ros_gz_image to ROS2
    Port ros_gz_sim_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/gazebosim/ros_gz/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/gazebosim/ros_gz/issues/50>)
  * [ros2] Port ros_gz_bridge to ROS2 (#45 <https://github.com/gazebosim/ros_gz/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/gazebosim/ros_gz/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.7.0-1001jammy) jammy; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.6.3-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.6.2-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.6.1-1001jammy) jammy; urgency=high

  * Update README.md
  * Contributors: Carlos Agüero

 -- Louise Poubel <louise@openrobotics.org>  Sun, 04 Aug 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.6.0-1001jammy) jammy; urgency=high

  * Merge pull request #33 <https://github.com/osrf/ros1_ign_bridge/issues/33> from osrf/issue_31
    Fix issue #31 <https://github.com/osrf/ros1_ign_bridge/issues/31>
  * Image bridge using image_transport (#34 <https://github.com/osrf/ros1_ign_bridge/issues/34>)
    * Image bridge using image_transport
    * tests for image
    * correct metapackage
    * tests with catkin
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
    * Revert changes from #32 <https://github.com/osrf/ros1_ign_bridge/issues/32>
    Signed-off-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Use intra-process field from messageInfo.
  * Contributors: Carlos Aguero, Nate Koenig, chapulina
  * 0.5.0
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina
  * Battery state (#30 <https://github.com/osrf/ros1_ign_bridge/issues/30>)
  * Packed demo (#29 <https://github.com/osrf/ros1_ign_bridge/issues/29>)
    * adding demo for point cloud packed bridge
    * correct rviz file
    * RGBD bridged cloud demo
  * Merge pull request #28 <https://github.com/osrf/ros1_ign_bridge/issues/28> from osrf/pointcloudpacked
    Bridge point cloud packed
  * Contributors: Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 02 Aug 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.4.0-1001jammy) jammy; urgency=high

  * tests and reverse bridge for pointcloud
  * Bridge point cloud packed
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Tue, 16 Jul 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.3.1-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 01 Jul 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.3.0-1001jammy) jammy; urgency=high

  * 0.2.0
  * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry (#22 <https://github.com/osrf/ros1_ign_bridge/issues/22>)
    * Conversion between nav_msgs/Odometry and ignition::msgs::Odometry.
    * Update documentation.
    * More time to run tests
    * Cleaning test_utils.
    * Remove explicit ROS dependencies for Travis.
    * diff drive demo with cmd_vel and odom
    * process child frame id
  * Fluid pressure (#20 <https://github.com/osrf/ros1_ign_bridge/issues/20>)
    * screenshots
    * missing IMU
    * Fluid pressure
    * Fix tests.
  * Demos package (#19 <https://github.com/osrf/ros1_ign_bridge/issues/19>)
    * Start of demos package: camera
    * IMU
    * depth camera
    * magnetometer
    * lidar, base launch
    * READMEs, RGBD camera
    * screenshots
    * missing IMU
    * set plugin path env
    * It's best to always set it
  * Point clouds for RGBD cameras (#17 <https://github.com/osrf/ros1_ign_bridge/issues/17>)
    * Beginning of point cloud package
    * Populating image data, but result is not correct. Must find out where's the source of the problem.
    * RGB -> BGR: why?
    * Cleanup code and example
    * pointcloud -> point_cloud
    * add keys - how was this working before?
    * install wget
    * well, we need ign-gz2 :sweat_smile:
    * README update
    * PR feedback
    * .travis/build: rosdep skip ignition keys (#18 <https://github.com/osrf/ros1_ign_bridge/issues/18>)
    * .travis/build: rosdep skip ignition keys
    * Update build
  * Move package to subfolder, add metapackage (#16 <https://github.com/osrf/ros1_ign_bridge/issues/16>)
  * Contributors: Carlos Agüero, Nate Koenig, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Jun 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.2.2-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 20 May 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.2.1-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sat, 11 May 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.2.0-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 09 May 2019 00:00:00 -0000

ros-humble-ros-gzgarden-bridge (0.1.0-1001jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 20 Mar 2019 00:00:00 -0000


